# Uses of Interface
org.bukkit.boss.BossBar

Packages that use BossBar
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.boss
Classes concerning the creation of boss bars that appear at the top of the player's screen.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of BossBar in org.bukkit

Methods in org.bukkit that return BossBar
Modifier and Type
Method
Description
`static @NotNull BossBar`
Bukkit.`createBossBar(@Nullable String title, @NotNull BarColor color, @NotNull BarStyle style, @NotNull BarFlag... flags)`
Creates a boss bar instance to display to players.
`@NotNull BossBar`
Server.`createBossBar(@Nullable String title, @NotNull BarColor color, @NotNull BarStyle style, @NotNull BarFlag... flags)`
Creates a boss bar instance to display to players.

## Uses of BossBar in org.bukkit.boss

Subinterfaces of BossBar in org.bukkit.boss
Modifier and Type
Interface
Description
`interface`
`KeyedBossBar`
Represents a custom `BossBar` that has a `NamespacedKey`
Methods in org.bukkit.boss that return BossBar
Modifier and Type
Method
Description
`@NotNull BossBar`
DragonBattle.`getBossBar()`
Get the boss bar to be displayed for this dragon battle.

## Uses of BossBar in org.bukkit.entity

Methods in org.bukkit.entity that return BossBar
Modifier and Type
Method
Description
`@Nullable BossBar`
Boss.`getBossBar()`
Returns the `BossBar` of the `Boss`